package com.persagy.revit.services.endpoint

import com.persagy.database.SQueryBuilder
import com.persagy.mybatis.SMybatisDao
import com.persagy.revit.models.modelFile.FloorModelView
import com.persagy.service.SObjectService
import com.persagy.service.SPageContext

/**
 *
 *
 * @author jxing
 */
object FloorModelService : SObjectService<FloorModelView>(SMybatisDao(FloorModelView::class.java)) {

    override fun onQueryBefore(queryBuilder: SQueryBuilder<FloorModelView>) {
        queryBuilder.tableName = "revit.model_floor_file_func('${SPageContext.getHeader("ProjectId")}')"
    } // Function onQueryBefore()
} // Object FloorModelService